import { RateLimiter } from "./RateLimiter";
import { NotificationResult } from "../jobs/channels/NotificationChannel";
import { Logger as PinoLogger } from "pino";
type SendSingleFunction<RecipientType, MetaType> = (recipient: RecipientType, meta: MetaType, taskLogger: PinoLogger) => Promise<NotificationResult>;
interface BatchSenderOptions {
    concurrency?: number;
}
export declare const batchSender: {
    process<RecipientType, MetaType>(recipients: RecipientType[], meta: MetaType[], rateLimiter: RateLimiter, sendSingle: SendSingleFunction<RecipientType, MetaType>, logger: PinoLogger, options?: BatchSenderOptions): Promise<NotificationResult[]>;
};
export {};
