import { Logger as PinoLogger } from "pino";
export declare class RateLimiter {
    private limiter;
    constructor(maxRequests: number, perMilliseconds: number);
    schedule<T>(fn: (...args: any[]) => Promise<T>, ...args: any[]): Promise<T>;
}
export declare class TokenBucketRateLimiter {
    private tokens;
    private readonly capacity;
    private readonly refillRate;
    private lastRefillTimestamp;
    private logger?;
    constructor(maxRatePerSecond: number, logger?: PinoLogger);
    private refillTokens;
    acquire(): Promise<void>;
}
