"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SimulationManager = void 0;
const Logger_1 = __importDefault(require("../utils/Logger"));
const SIMULATION_KEY = "worker:simulation_mode";
class SimulationManager {
    redis;
    constructor(redisClient) {
        if (!redisClient) {
            throw new Error("Redis client instance must be provided to SimulationManager.");
        }
        this.redis = redisClient;
        Logger_1.default.log("SimulationManager initialized.");
    }
    async enableSimulation() {
        await this.redis.set(SIMULATION_KEY, "true");
        Logger_1.default.log("✅ Simulation mode enabled.");
    }
    async disableSimulation() {
        await this.redis.set(SIMULATION_KEY, "false");
        Logger_1.default.log("🚫 Simulation mode disabled.");
    }
    async isSimulationEnabled() {
        const mode = await this.redis.get(SIMULATION_KEY);
        return mode === "true";
    }
}
exports.SimulationManager = SimulationManager;
//# sourceMappingURL=SimulationManager.js.map