import { Job, WorkerOptions as BullMQWorkerOptions } from "bullmq";
import { Logger as PinoLogger } from "pino";
import Redis, { RedisOptions } from "ioredis";
export interface WorkerManagerConfig {
    redisConnection: Redis | RedisOptions;
    queueName: string;
    concurrency?: number;
    trackingKey?: string;
    onStart?: (job: Job, logger: PinoLogger) => Promise<void> | void;
    onComplete?: (job: Job, stats: Record<string, string>, logger: PinoLogger) => Promise<void> | void;
    onDrained?: (logger: PinoLogger) => Promise<void> | void;
    bullWorkerOptions?: Partial<BullMQWorkerOptions>;
}
export declare class WorkerManager {
    private config;
    private worker;
    private queue;
    private redisInstance;
    private ownsRedisConnection;
    private logger;
    constructor(config: WorkerManagerConfig);
    private jobProcessor;
    close(): Promise<void>;
}
