import { Logger as PinoLogger } from "pino";
import { EmailMeta, NotificationChannel, NotificationResult } from "./NotificationChannel";
interface EmailNotifierConfig {
    host: string;
    port: number;
    secure: boolean;
    auth: {
        user: string;
        pass: string;
    };
    from: string;
    maxEmailsPerSecond?: number;
}
export declare class EmailNotifier implements NotificationChannel {
    private transporter;
    private rateLimiter;
    private config;
    private baseLogger?;
    constructor(config: EmailNotifierConfig);
    send(emails: string[], meta: EmailMeta[], logger: PinoLogger): Promise<NotificationResult[]>;
    private _sendSingleEmail;
    close(logger: PinoLogger): Promise<void>;
}
export {};
