import { ServiceAccount } from "firebase-admin/app";
import { Logger as PinoLogger } from "pino";
import { FirebaseMeta, NotificationChannel, NotificationResult } from "./NotificationChannel";
interface FirebaseNotifierOptionalConfig {
    maxMessagesPerSecond?: number;
}
export declare class FirebaseNotifier implements NotificationChannel {
    private static initialized;
    private rateLimiter;
    private credentialInfo;
    private app;
    private baseLogger;
    constructor(credentialInfo: ServiceAccount | string, config?: FirebaseNotifierOptionalConfig);
    private initFirebase;
    send(tokens: string[], meta: FirebaseMeta[] | any[], logger: PinoLogger): Promise<NotificationResult[]>;
    private _sendSingleFCM;
}
export {};
