import { Logger as PinoLogger } from "pino";
import { NotificationChannel, NotificationResult, TelegramMeta } from "./NotificationChannel";
interface TelegramNotifierConfig {
    botToken: string;
    maxMessagesPerSecond?: number;
}
export declare class TelegramNotifier implements NotificationChannel {
    private config;
    private bot;
    private rateLimiter;
    private baseLogger;
    constructor(config: TelegramNotifierConfig);
    send(chatIds: string[], meta: TelegramMeta[], logger: PinoLogger): Promise<NotificationResult[]>;
    private _sendSingleTelegramMessage;
}
export {};
