import { Logger as PinoLogger } from "pino";
import { NotificationChannel, NotificationResult, WebPushMeta } from "./NotificationChannel";
interface WebPushNotifierConfig {
    publicKey: string;
    privateKey: string;
    contactEmail: string;
    maxMessagesPerSecond?: number;
}
export declare class WebPushNotifier implements NotificationChannel {
    private config;
    private rateLimiter;
    private baseLogger;
    constructor(config: WebPushNotifierConfig);
    send(subscriptionStrings: string[], meta: WebPushMeta[], logger: PinoLogger): Promise<NotificationResult[]>;
    private _sendSingleWebPush;
}
export {};
