import Redis, { RedisOptions } from "ioredis";
import { NotificationChannel, NotificationMeta, RequiredMeta } from "./jobs/channels/NotificationChannel";
import { JobsOptions } from "bullmq";
export interface DispatchNotificationOptions<T, N extends keyof NotificationMeta> {
    redisConnection: Redis | RedisOptions;
    channelName: N;
    dbQuery: (offset: number, limit: number) => Promise<T[]>;
    mapRecordToUserId: (record: T) => string;
    meta: (user: T) => RequiredMeta[N];
    queueName: string;
    jobName: string;
    batchSize?: number;
    maxQueriesPerSecond?: number;
    trackResponses?: boolean;
    trackingKey?: string;
    loggingEnabled?: boolean;
    customNotifier?: NotificationChannel;
    campaignId?: string;
    jobOptions?: JobsOptions;
    enqueueRetries?: number;
    enqueueBaseDelay?: number;
}
export declare function dispatchNotifications<T, N extends keyof NotificationMeta>(options: DispatchNotificationOptions<T, N>): Promise<void>;
